Proposal PortalΒΆ
Update Proposal StatusΒΆ
HTTP Request
PATCH /api/v1/ext/proposals/status
π Description: Update proposal status
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the updated status information for workforce planning proposals, including relevant employee and organizational identifiers. |
Body Parameters
1{
2 "proposalStatusChangeExternalRequest": [
3 {
4 "status": "DRAFT",
5 "proposalId": 0
6 }
7 ]
8}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
400 |
Bad request due to an issue |
None |
Example Responses
1{
2 "success": true,
3 "message": "string",
4 "errors": [
5 "string"
6 ]
7}
Get Proposal Current Status By Proposal IDΒΆ
HTTP Request
GET /api/v1/ext/proposals/{proposalId}/status
π Description: Get proposal current status by proposal id
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
proposalId |
path |
integer(int64) |
true |
Unique identifier for the proposal |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
404 |
Proposal not found |
None |
Example Responses
1{
2 "status": "DRAFT",
3 "proposalId": 0
4}
Get Proposal Reports By Proposal IDΒΆ
HTTP Request
GET /api/v1/ext/proposals/{proposalId}/report
π Description: Get proposal reports by proposal id
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
proposalId |
path |
integer(int64) |
true |
Unique identifier for the proposal |
page |
query |
integer(int32) |
false |
Page number for pagination |
size |
query |
integer(int32) |
false |
Number of items per page |
Default ValuesΒΆ
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
204 |
No Content |
None |
|
404 |
Proposal not found |
None |
|
422 |
Unprocessable entity due to proposal id |
None |
Example Responses
1{
2 "content": [
3 {
4 "id": 0,
5 "proposalId": 137,
6 "scenarioId": "string",
7 "time": "2024-04-08T10:37:30Z",
8 "timestampEpochMillis": 1713968317584,
9 "userId": "mjohnson",
10 "initiatorId": "mjohnson",
11 "submitterId": "jDoe",
12 "changeType": "EDIT",
13 "targetEntity": "Position",
14 "targetObjectId": "position id",
15 "detailsJson": {
16 "fieldChanges": [
17 {
18 "field": "employeeGroup:choice",
19 "oldValue": {},
20 "newValue": {},
21 "oldLabel": "Expatriate"
22 }
23 ]
24 }
25 }
26 ],
27 "totalPages": 0,
28 "totalElements": 0,
29 "numberOfElements": 0,
30 "size": 0,
31 "number": 0,
32 "last": true,
33 "first": true,
34 "empty": true,
35 "sort": {
36 "unsorted": true,
37 "sorted": true,
38 "empty": true
39 }
40}
Get Proposal Information By Proposal IDΒΆ
HTTP Request
GET /api/v1/ext/proposals/{proposalId}/info
π Description: Get proposal information by proposal id
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
proposalId |
path |
integer(int64) |
true |
Unique identifier for the proposal |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
404 |
Proposal not found |
None |
Example Responses
1{
2 "proposal": {
3 "proposalId": 0,
4 "title": "string",
5 "state": "string",
6 "stateModifiedBy": {
7 "userId": "string",
8 "userName": "string",
9 "positionRole": "string"
10 },
11 "stateModifiedDate": "string"
12 },
13 "participants": {
14 "property1": [
15 {
16 "userId": "string",
17 "userName": "string",
18 "positionRole": "string"
19 }
20 ],
21 "property2": [
22 {
23 "userId": "string",
24 "userName": "string",
25 "positionRole": "string"
26 }
27 ]
28 }
29}
Get Proposal Documents In Zip By Proposal IDΒΆ
HTTP Request
GET /api/v1/ext/proposals/{proposalId}/documents
π Description: Get proposal documents in Zip by proposal id
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
proposalId |
path |
integer(int64) |
true |
Unique identifier for the proposal |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
|
404 |
Proposal not found |
None |
Get Proposal Document By Proposal IDΒΆ
HTTP Request
GET /api/v1/ext/proposals/{proposalId}/document
Deprecated
This endpoint is deprecated and may be removed in a future version. Please use alternative endpoints if available.
π Description: Get proposal document by proposal id
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
proposalId |
path |
integer(int64) |
true |
Unique identifier for the proposal |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
string |